Skip to main content
POST
/
rates
/
v1
/
rate_requests
Create a Rate Request
curl --request POST \
  --url https://develop.qa.credible.com/api/partners/rates/v1/rate_requests \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vertical": "student-loan-refinance"
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create RatesApi Application

vertical
enum<string>
required
Available options:
student-loan-refinance,
private-student-loans,
personal-loans
Example:

"student-loan-refinance"

loanAmount
integer<int32>
Required range: 600 <= x <= 999999
Example:

10000

creditScore
enum<string>
Available options:
excellent,
good,
fair,
poor
Example:

"good"

Response

201

Create RatesApi Application